Package twisted :: Package python :: Module delay

[show private | hide private]
[frames | no frames]

## Module twisted.python.delay

twisted.delay: Support for delayed and execution of events.

This is the standard for delayed method calls in twisted python, and is designed to interoperate with other portions of the codebase. It works with twisted.reality and twisted.internet; see the documentation for twisted.reality.Reality and twisted.internet for details.

Classes
`Delayed` | I am a delayed event queue.
`IDelayed` | Interface implemented by Delayed objects - delayed event queues.
`Later` | I am a function which will run later.
`LockstepSimulation` | I am a delayed event queue.
`Looping` | Base class for looping callbacks.
`Steps` | A class to represent a series of steps.
`Time` | I am a list of events which will happen at particular points in time.

Exceptions
`StopLooping` | Stop a loop.

Variable Summary
`int` | `ARGS`
`int` | `FUNC`
`int` | `TICKS`

Variable Details

### ARGS

  Type:
    `int`
  Value:

        2

### FUNC

  Type:
    `int`
  Value:

        1

### TICKS

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net